- Qt 5.15
- Qt Wayland Compositor
- QML Types
- XdgPopupV5 QML Type
- Qt 5.15.19 Reference Documentation

# XdgPopupV5 QML Type

Provides a `xdg_popup` interface that implements popup features for the xdg-shell protocol. More...

Import Statement: | import QtWayland.Compositor 1.15
Since: | Qt 5.8

- List of all members, including inherited members

## Properties

- parentSurface : WaylandSurface
- position : point
- shell : XdgShellV5
- surface : WaylandSurface

## Methods

- void initialize(XdgShellV5 shell, WaylandSurface surface, WaylandSurface parentSurface, point position, WaylandResource resource)

## Detailed Description

This type is part of the XdgShellV5 extension and provides a way to extend the functionality of an existing WaylandSurface for handling popup surfaces created by clients using xdg-shell.

It corresponds to the Wayland interface `xdg_popup` for the unstable xdg-shell protocol v5.

## Property Documentation

parentSurface : WaylandSurface

This property holds the surface associated with the parent of this XdgPopupV5.

position : point

This property holds the location of the upper left corner of the surface relative to the upper left corner of the parent surface, in surface local coordinates.

shell : XdgShellV5

This property holds the shell associated with this XdgPopupV5.

surface : WaylandSurface

This property holds the surface associated with this XdgPopupV5.

## Method Documentation

void initialize(XdgShellV5 shell, WaylandSurface surface, WaylandSurface parentSurface, point position, WaylandResource resource)

Initializes the xdg popup, associating it with the given shell, surface, parentSurface, position and resource.